<?php
include_once 'functions.php';
if(isset($_POST['email']))
{
    $email = trim($_POST['email']);
    if(!filter_var($email, FILTER_VALIDATE_EMAIL))
    {
        $error = "Email is invalid";
    }
    
    if(create_sendlane_contact($email))
    {
        $success = 'You will receive an email from me shortly.';
    }
    
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Subscribe</title>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
    <style type="text/css">
        body{
  background-color: white;
  margin:100px;
  padding:0px;
  font-family:"Open Sans", serif;
  font-weight:400;
  display:flex;
  justify-content:center;
  
}
.signup{
  width:444px;
  height:50px;
  background-color:white;
  border: 4px solid white;
  box-shadow: 2px 4px 8px 0 rgba(0,0,0,0.01);
  border-radius:0.2rem;
  margin:auto;
}
#email-signup{
  height:50px;
  background-color:black;
  padding:0px 5px 0px 10px;
  width:300px;
  caret-color:#fc4e03;
  background-color:white;
  font-size:20px;
  color:#383838;
  outline-style:none;
  border:none;
  border-radius:0.2rem;
}
#btn{
  height:50px;
  width: 124px;
  background-color:#fc4e03;
  border:none;
  font-size:18px;
  border-radius:0.2rem;
  float:right;
  color:white;
}
#btn:hover{
  background-color:#e34602;
}
#email-signup:hover{
  background-color:#f2f2f2;
}
#email-signup:focus{
  background-color:#f2f2f2;
}
.card{
  font-family:"Open Sans", serif;
  text-align:center;
  width:500px;
  height:auto;
  background-color:#99cc00;
  border-radius:0.3rem;
  box-shadow: 0 0 4px 8px rgba(0,0,0,0.02);
  padding:50px 50px 50px 50px;
}
#spam{
  color:#323232;
  font-size:16px;
  padding:3px;
}
h1{
  font-size:30px
}
@media (max-width:500px){
  body{
    margin-top:50px;
  }
  .card{
    width:99vw;
    height:auto;
    padding: 0px 10px 0px 10px;
    overlap:hidden;
  }
  .signup{
    display:inline-flex;
    width: 95vw;
    height:auto;
    margin:0;
    flex-wrap:wrap;
  }
  #btn{
    width:100%;
  }
  #email-signup{
    width:90vw;
  }
  h1{
    font-size:24px;
    width:100%;
  }
  #spam{
    font-size:14px;
    width:100%;
  }
}
    </style>
</head>
<body>
    
<div class="card">
     <?php if(isset($error))
    {?>
    <p style="color:red;"><?=$error;?></p>
    <?php } ?>
    <?php if(isset($success))
    {?>
    <p style="color:green;"><?=$success;?></p>
    <?php } ?>
  <h1>How i earn 476.23$<br>(Passively Everyday)</h1>
<div class="signup">
   
  <form method="POST">
    <input type="email" name="email" id="email-signup" placeholder="Enter your email here...." required>
    <input type="submit" value="Explore More" id="btn">
  </form>
</div>
  <p id="spam"> 0% Spam Tolerance, Unsubscribe any time!</p>
</div>
</body>
</html>